#include <QMainWindow>
#include <QtWebEngineWidgets>
#include <QSplashScreen>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>

class MainWeb : public QMainWindow
{
    Q_OBJECT
public:
    MainWeb();
    void initWebview();
    void mySplash();
    void showDevTools();

    bool event(QEvent* e);
    void keyPressEvent(QKeyEvent* event);

public:
    QLabel labelWebErr;

    //QWebEngineView webView;
    //QWebEngineView devTools;



    std::shared_ptr<QSplashScreen> splash;
    QLabel label1;
    QLabel labelProgress;

    QLabel labelFullscreen;
    QPushButton btnFullscreen;
    bool isFullscreen = false;

    QHBoxLayout* layout = NULL;
};